package opium_kernel

  1. Overview
  2. No Docs
Sinatra like web toolkit based on Lwt + Cohttp

Install

Authors

Maintainers

Sources

v0.16.0.tar.gz
md5=4905ce17175c91e47458fccfd6a8885f

Description

Opium is a minimalistic library for quickly binding functions to http routes. Its features include (but not limited to):

  • Middleware system for app independent components
  • A simple router for matching urls and parsing parameters
  • Request/Response pretty printing for easier debugging

Opium_kernel is the Unix indpendent core of Opium. Useful for extremely portable environments such as mirage.

Note: This library is still at an early stage so expect breakages until 1.0

Published: 31 Jul 2017

Dependencies (14)

  1. uri < "2.0.0"
  2. re >= "1.3.0"
  3. ppx_sexp_conv >= "v0.9.0"
  4. ppx_fields_conv >= "v0.9.0"
  5. sexplib >= "v0.9.0"
  6. fieldslib >= "v0.9.0"
  7. lwt
  8. base64 >= "2.0.0" & < "3.0.0"
  9. ezjsonm >= "0.4.0" & < "1.2.0"
  10. cohttp-lwt >= "0.99.0"
  11. cohttp >= "0.99.0"
  12. hmap
  13. jbuilder >= "1.0+beta7"
  14. ocaml >= "4.02.3"

Dev Dependencies (2)

  1. cow with-test & >= "0.10.0"
  2. alcotest with-test

Used by (1)

  1. opium >= "0.16.0" & < "0.19.0"

Conflicts

None